#!/usr/local/bin/perl

require './init.cgi';
require './subr1.cgi';
require './cookie.cgi';

($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
@wday_array = ('SUN','MON','TUE','WED','THU','FRI','SAT');
$date_now = sprintf("%04d/%02d/%02d\-%s\-%02d:%02d:%02d",$year +1900,$mon +1,$mday,$wday_array[$wday],$hour,$min,$sec);

&getData($basefile); # cgi_url,cgi_ssl,htdocs_url,cookie_path,home_url
&getData($infoFile); # sign,main,mid,end,tokushoho,info2

		$main = &tag_ok($dat{'main'});
		$head = &tag_ok($dat{'head'});
		$mid = &tag_ok($dat{'mid'});
		$foot = &tag_ok($dat{'end'});

&getData($colorFile); # panel,gamen1`4{bgcolor,textcolor,linkcolor,barbgcolor,bartextcolor}
&getData($shippingFile); # regName,regCode,yen,keta,tax,zei,titleBar,shipping,shippingFreeGoukei,Goukei,shippingFreeGoukei_type,shippingFreeKosuu,Kosuu,SentakuName0`4,addShipName,addShipValue
$in{'keta'} = $dat{'keta'};

&getData($emailFile); # email,emailj
if (-e $zeusFile) { &getData($zeusFile); } # zeus,zeusIP,bitType,cgiType,payType,zeusMIN
if (-e $kuronekoFile) { &getData($kuronekoFile); } # kuroneko,trader_code,kuronekoMIN,web_name
if (-e $ginixFile) { &getData($ginixFile); } # ginix,aid,kType

#--------------------------------------

opendir(DIR,$tmp_dir); # |
@lists = readdir(DIR);
close(DIR);

foreach $file (@lists) {

	next if $file eq '.';
	next if $file eq '..';
	next if $file eq 'LOGO';
	next if $file eq 'logoType';
	next if -d $file;

	$mod = -M "$tmp_dir$file";
	if ($mod > 7) { unlink "$tmp_dir$file"; }
}

opendir(DIR,$users_dir); # |
@lists = readdir(DIR);
close(DIR);

foreach $file (@lists) {

	next if $file eq '.';
	next if $file eq '..';

	$mod = -M "$users_dir$file";
	if ($mod > 30) { unlink "$users_dir$file"; }
}

#--------------------------------------

read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
if ($ENV{'QUERY_STRING'} ne '') { $buffer .= "\&$ENV{'QUERY_STRING'}"; }

@pairs = split(/&/,$buffer);
foreach $pair (@pairs) {

	($name,$value) = split(/=/,$pair);

	$name =~ tr/+/ /;
	$name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;

	&conv($name,'sjis');
	&conv($value,'sjis');

	$value =~ s/&/&amp;/g;
	$value =~ s/"/&quot;/g;
	$value =~ s/</&lt;/g;
	$value =~ s/>/&gt;/g;

	$value =~ s/\t//g;
	$value =~ s/\r\n/\n/g; # Win  Unix
	$value =~ s/\r/\n/g; # Mac  Unix

	$value =~ s/\f//g;
	$value =~ s/\t//g;

	if ($name =~ /;(\d+);/) { $in{'cmd'} = "DEL"; $delcode = $1; last; }
	elsif ($name =~ /;ALL;/) { $in{'cmd'} = "DELALL"; last; }

	$in{$name} .= "\0" if (defined($in{$name}));
	$in{$name} .= $value;
	push(@in,"$name\0$value");
}

if ($in{'action'} eq "reform") {

	$in{'key'} =~ s/\.\///g;

	open(BUTTOM,"$tmp_dir$in{'key'}");
	@lines = <BUTTOM>;
	close(BUTTOM);

	print &HtmlTop("bgcolor=#FFFFFF");
	print "<br><table cellpadding=5 align=center border=0 width=60%>\n";
	print "<tr bgcolor=#555555><td><font color=#ffffff>&nbsp;<b>J[h</b></font></td></tr>\n";
	print "<tr><td>\n";
	print "eύXɂȂꍇԈႢꍇ͌ςɐi܂A̔XɂAB<br>\n";
	print "</td></tr><tr><td>\n";
	print @lines;
	print "</td></tr></table>\n";

	print &HtmlBot;
	exit;
}

# J[g̓
$CARTCODE = &decCookie("CART");

if ($in{'cart'} ne "") { $CARTCODE = $in{'cart'}; }
elsif ($CARTCODE eq "0") {

	$CARTCODE = &MakeStr(12);
	if (-e "$tmp_dir$CARTCODE") { &Die("BUSY","߂ĂxsĂB"); }
	&setCookie("CART",$CARTCODE,30);
}

$CARTCODE =~ s/[^ 0-9A-Za-z]//g; # 

if ($in{'cmd'} eq "DEL") {

	if (open(RID,"$tmp_dir$CARTCODE")) {

		@BASE = <RID>;
		close(RID);
	}

	@NEW = grep(!/^$delcode\t\t/,@BASE);

	if (open(RID,"> $tmp_dir$CARTCODE")) {

		print RID @NEW;
		close(RID);
		chmod(0666,"$tmp_dir$CARTCODE");
	}
	else { &Die("ُI"); }

	print "Location: $dat{'cgi_url'}cart.cgi\n\n"; exit;
}
elsif ($in{'cmd'} eq "DELALL") {

	unlink("$tmp_dir$CARTCODE");
	print "Location: $dat{'cgi_url'}cart.cgi\n\n"; exit;
}
elsif ($in{'cmd'} eq "selship") {

	require './cart1.cgi';
	&readCart;

	if ($in{'ship'} eq "") { &Die("G[","̑IĂB"); }

	print &HtmlTop("bgcolor=#FFFFFF");
	print "<table width=60% align=center><tr><td>\n";
	&ViewLogo; # S\
	&cartList(0); # 1=DEL{^t
	print "</td></tr></table>\n";
	&inputName;
	print &HtmlBot;
}
elsif ($in{'cmd'} eq "Order") {

	if ($in{'CHECK'} eq "") { &Die("G[","\\݂ꍇ́AӎumF̂߁Au\\݂v{^ĂB"); }

	if ($in{'Memo2'} && $in{'pwd'} ne "") {

		if (crypt($in{'passwd'},$in{'pwd'}) ne $in{'pwd'} || $in{'passwd'} eq "") { &Die("G[","pX[h܂B"); }
	}

	require './cart1.cgi';
	&readCart;

	@YEAR = ("","A".."Z");
	$order_date = sprintf("%01s%02d%02d",$YEAR[$year -100],$mon +1,$mday);

	open(TMP,">> $tmp_dir$order_date");
	print TMP "\n";
	close(TMP);
	chmod(0666,"$tmp_dir$order_date");

	$order_num = $order_date . "-" . -s "$tmp_dir$order_date";

	################unlink("$tmp_dir$CARTCODE");

	print &HtmlTop("bgcolor=#FFFFFF");
	print "<table cellpadding=5 align=center border=0 width=60%><tr><td colspan=3>\n";
	&ViewLogo; # S\
	print "</td></tr>\n";
	print "<tr><td><br></td></tr>\n";

	if ($dat{'regName'} ne "" && $dat{'regCode'} ne "") {

		if ($in{'CARD'} eq "1") { $mes = "iςւi݂j"; }
		else { $mes = ""; }
	}
	else { $mes = "p ... ̓eXgł"; }

	print "<tr bgcolor=#555555><td><font color=#ffffff>&nbsp;<b>$mes</b></font></td></tr>\n";
	print "<tr><td align=center><table><tr><td>\n";
	print "tԍ <font color=#880000><b>$order_num</b></font> łB̉ʂ܂̓vgĂB<br>\n";
	print "<font color=#000088><u>$in{'Email'}</u></font>ĂɍT𑗐M܂A͂Ȃꍇ͋L~X̏ꍇ܂B";
	print "AȂꍇ́A萔ł<a href=\"$dat{'cgi_url'}list.cgi?cmd=tokushoho\" target=popup onClick=\"popup()\">A</a>B<p>\n";

	print "</td></tr><tr><td vAlign=top align=right>\n";
	&cartList(0); # 1=DEL{^t
	print "</td></tr><tr><td>\n";

	if ($in{'CARD'} eq "1") {

		if ($dat{'zeus'}) {

			$cType[0] = "mall";
			$cTypeName[0] = "{~";
			$money[0] = $cost_all;

			$cType[1] = "cardsv";
			$cTypeName[1] = "ăh";
			($cost_all3,$cost_all4) = &ketaCheck($cost_all);
			$cost_all4 =~ s/\,//g;
			$money[1] = "\$$cost_all4";

			$Tel = $in{'Tel'};
			$Tel =~ s/\D//g;

$buttom = <<"EOF";
<p><br>
<font color=#ff0000>̃{^āAςւi݂B</font><br>

<table cellspacing=5>
<tr bgcolor="#AA8888">
<td align=center>
<FORM METHOD=$method ACTION="$bit[$dat{'bitType'}]" ENCTYPE="x-www-form-encoded" TARGET="_blank">
<font color=#ffffff>tԍ $order_num</font>
<table cellpadding=5 cellspacing=0>
<tr bgcolor=#ffffff>
<td align=center>
<INPUT TYPE="hidden" NAME="send" VALUE="$cType[$dat{'payType'}]">
<INPUT TYPE="hidden" NAME="clientip" VALUE="$dat{'zeusIP'}">
<INPUT TYPE="hidden" NAME="money" VALUE="$money[$dat{'payType'}]">
<INPUT TYPE="hidden" NAME="custom" VALUE="yes">
<INPUT TYPE="hidden" NAME="sendid" VALUE="$order_num">
<INPUT TYPE="hidden" NAME="sendpoint" VALUE="$Tel">
<INPUT TYPE="hidden" NAME="usrtel" VALUE="$Tel">
<INPUT TYPE="hidden" NAME="usrmail" VALUE="$in{'Email'}">
<INPUT TYPE="hidden" NAME="usrname" VALUE="">
<INPUT TYPE="submit" VALUE=" () " style='font:20px; width:200px; height:50px;'>
</td>
</tr></table>
<font color=#ffffff>ϊz $cost_all2 $dat{'yen'}</font>
</td></FORM>
</tr></table>
EOF
			print $buttom;

			#σ{^ۑ
			$key = $$ . &MakeStr(8);
			open(BUTTOM,">> $tmp_dir$key");
			print BUTTOM $buttom;
			close(BUTTOM);
			chmod(0666,"$tmp_dir$key");
		}
		elsif ($dat{'kuroneko'}) {

			$shokei += 0; $tax += 0;
			if ($in{'shipfree'} eq "1") { $shipFee = 0; }

$buttom = <<"EOF";
<p><br>
<font color=#ff0000>̃{^āAςւi݂B</font><br>

<table cellspacing=5>
<tr bgcolor="#AA8888">
<td align=center>
<FORM METHOD="POST" NAME="UserForm" ACTION="$servlet" ENCTYPE="x-www-form-encoded" TARGET="_blank">
<font color=#ffffff>tԍ $order_num</font>
<table cellpadding=5 cellspacing=0>
<tr bgcolor=#ffffff>
<td align=center>
<INPUT TYPE="hidden" NAME="TRS_MAP" VALUE="V_W02">
<INPUT TYPE="hidden" NAME="trader_code" VALUE="$dat{'trader_code'}">
<INPUT TYPE="hidden" NAME="order_no" VALUE="$order_num">
<INPUT TYPE="hidden" NAME="goods_name" VALUE="$dat{'web_name'}グ$qty_all_">
<INPUT TYPE="hidden" NAME="settle_price" VALUE="$cost_all">
<INPUT TYPE="hidden" NAME="buyer_name_kanji" VALUE="">
<INPUT TYPE="hidden" NAME="buyer_tel" VALUE="">
<INPUT TYPE="hidden" NAME="buyer_email" VALUE="">
<INPUT TYPE="submit" VALUE=" () " style='font:30px; width:300px; height:50px;'>
</td>
</tr></table>
<font color=#ffffff>ϊz $cost_all2 $dat{'yen'}</font>
</td></FORM>
</tr></table>
EOF
			print $buttom;

			#σ{^ۑ
			$key = $$ . &MakeStr(8);
			open(BUTTOM,">> $tmp_dir$key");
			print BUTTOM $buttom;
			close(BUTTOM);
			chmod(0666,"$tmp_dir$key");
		}
	}

	print "</td></tr></table></td></tr>\n";
	print "<tr>\n";
	print "<td vAlign=top>\n";
	&confirm2;
	print "</td>\n";
	print "</tr>\n";

	print "<tr><td align=center>[ <a href=$dat{'home_url'} target=_top>z[y[W</a> ]<hr size=1 width=100%></td></tr>\n";
	print "<tr><td>$foot</td></tr>\n";
	print "</table><p>\n";
	print &HtmlBot;

	&sendmail;
}
elsif ($in{'cmd'} eq "nameReg") {

	require './cart1.cgi';
	&readCart;

	$hint = "<table><tr><td bgcolor=#DDCCCC>&nbsp;\\&nbsp;</td>";
	if ($in{'Name'} eq "") { push(@ERR,"$hint<td>OLĂB</td></tr></table>"); }
	if ($in{'Post'} eq "") { push(@ERR,"$hint<td>X֔ԍLĂB</td></tr></table>"); }
	if ($in{'Addr2'} eq "") { push(@ERR,"$hint<td>ZLĂB</td></tr></table>"); }
	if ($in{'Tel'} eq "") { push(@ERR,"$hint<td>AdbԍLĂB</td></tr></table>"); }
	unless ($in{'Email'} =~ /\b[-\w.]+@[-\w.]+\.[-\w]+\b/) { push(@ERR,"$hint<td>[AhX𐳂LB</td></tr></table>"); }

	if (!$in{'Hasso'}) {

		$hint = "<table><tr><td bgcolor=#CCDDCC>&nbsp;&nbsp;</td>";
		if ($in{'hName'} eq "") { push(@ERR,"$hint<td>OLĂB</td></tr></table>"); }
		if ($in{'hPost'} eq "") { push(@ERR,"$hint<td>X֔ԍLĂB</td></tr></table>"); }
		if ($in{'hAddr2'} eq "") { push(@ERR,"$hint<td>ZLĂB</td></tr></table>"); }
		if ($in{'hTel'} eq "") { push(@ERR,"$hint<td>AdbԍLĂB</td></tr></table>"); }
	}

	if ($in{'CARD'} eq "") { &Die("G[","x@̑IĂB"); }

	if (!$in{'Memo'} && $in{'input_pwd'}) { ; }
	elsif (($in{'Memo'} && !-e "$users_dir$CARTCODE") || $in{'Memo2'}) {

		$hint = "<table><tr><td bgcolor=#CCCCDD>&nbsp;Le̋L&nbsp;</td>";
		if (length($in{'passwd'}) < 6 || length($in{'passwd'}) > 8 || $in{'passwd'} =~ /\W/) { push(@ERR,"$hint<td>pX[hU`W̔ppłLB</td></tr></table>"); }
		&TestCrypt; $pwd = &MakeCrypt($in{'passwd'});
	}

	if (@ERR) { &Die("L~X܂",@ERR); }

	print &HtmlTop("bgcolor=#FFFFFF");
	print "<table cellpadding=5 align=center width=60%><tr><td colspan=3>\n";
	&ViewLogo; # S\
	print "</td></tr>\n<tr><td vAlign=top align=center>\n";
	&cartList(0); # 1=DEL{^t
	print "</td></tr><tr><td>\n";
	&confirm;
	print "</td></tr></table>\n";
	print &HtmlBot;
}
elsif ($buffer eq '') {

	require './cart1.cgi';
	&readCart;
	print &HtmlTop("bgcolor=#FFFFFF");
	print "<table width=60% align=center><tr><td>\n";
	&ViewLogo; # S\
	&cartList(1); # 1=DEL{^t
	print "</td></tr></table>\n";
	&selectShippng;
	print &HtmlBot;
}
else { # iǉ

	$gname = "$in{'gname'}\t";

	foreach $line (@in) {

		($key,$val) = split(/\0/,$line,2);

		if ($key ne "category" && $key ne "file" && $key ne "gname" && $key ne "unit" && $key ne "qty") {

			$gname .= " ($key)$in{$key}";
		}
	}

	if ($in{'qty'} == 0) { $in{'qty'} = 1; }

	if (open(RID,">> $tmp_dir$CARTCODE")) {

		$time = time;
		print RID "$time\t\t$in{'category'}\t\t$in{'file'}\t\t$gname\t\t$in{'unit'}\t\t$in{'qty'}\n";
		close(RID);
		chmod(0666,"$tmp_dir$CARTCODE");
	}
	else { &Die("ُI"); }

	print "Location: $dat{'cgi_url'}cart.cgi\n\n"; exit;
}


sub ViewLogo {

	if (-e "$tmp_dir$logofile") {

		if (open(F,"$tmp_dir$logoType")) {

			$ctype = <F>;
			close(F);
		}

		print "<div align=center><img src=\"$dat{'cgi_ssl'}panel.cgi?cmd=img3&filename=LOGO&ctype=$ctype\" alt=\"\"></div><p>\n";
	}
}

sub cartList {

local($DEL) = @_;
$in{'keta'} = $dat{'keta'}; # ketaCheckp

if ($dat{'regName'} ne "" && $dat{'regCode'} ne "") { print "\n<!-- VFAEGAo^: $dat{'regName'}($dat{'regCode'}) $vers -->\n"; }
else { print "\n<!-- VFAEGAo^: o^(pԂ͂Pł) $vers -->\n"; }

print <<"EOF";
<!-- CODE: $CARTCODE -->

<SCRIPT language="JavaScript">
<!--
function popup(){
window.open("","popup","location=no,status=no,toolbar=no,menubar=yes,scrollbars=yes,resizable=yes,width=550,height=450");
}
//-->
</SCRIPT>

EOF

if ($DEL) { print "<form action=cart.cgi method=POST>\n"; }

print <<"EOF";
<Table cellspacing=0 cellpadding=0 width=100%>
<tr><td><TABLE BORDER=0 CELLSPACING=2 CELLPADDING=2 width=100%>
<tr bgcolor=#dddddd><td nowrap>

<table cellspacing=1 cellpadding=1 width=100% border=1>
<tr>
<td align=center><small><font color=#888888> i</font></small></td>
<td width=10% align=center nowrap><small><font color=#888888>P </font></small></td>
<td width=10% align=center nowrap><small><font color=#888888> </font></small></td>
<td width=10% align=center nowrap><nobr><small><font color=#888888> z (</font>$dat{'yen'}<font color=#888888>)</font></small></nobr></td>
EOF

if ($DEL) {

print <<"EOF";
<td width=10% align=center><font color=red> </font></td>
EOF

}

print <<"EOF";
</tr>
EOF

$f = 0;
$f2 = $page;
@col = ("#f8f8f8","#ffffff");

foreach $line (@BASE) {

	($delcode,$category,$file,$gname,$unit,$qty) = split(/\t\t/,$line,6);

	if ($DEL) {

		if ($gname =~ /(.+)\t(.+)/) {

			if ($category eq "" || $file eq "") { $gname = "<b>$1</b><br>$2"; }
			else { $gname = "<b><A href=\"$dat{'cgi_url'}list.cgi?category=$category&file=$file\">$1</a></b><br>$2"; }
		}
		else {
			if ($category eq "" || $file eq "") { $gname = "<b>$gname</b>"; }
			else { $gname = "<b><A href=\"$dat{'cgi_url'}list.cgi?category=$category&file=$file\">$gname</a></b>"; }
		}
	}
	else {
		if ($gname =~ /(.+)\t(.+)/) {

			if ($in{'cmd'} eq "Order") { $ORDER .= "$1\n$2\n"; $LIST .="[i]:$1 $2"; } # 
			$gname = "<b>$1</b><br>$2";
		}
		else {
			if ($in{'cmd'} eq "Order") { $ORDER .= "$gname\n"; $LIST .="[i]:$gname"; } # 
			$gname = "<b>$gname</b>";
		}
	}

	$cost = $unit * $qty;
	$qty_all += $qty;
	$cost_all += $cost;

	($unit,$unit2) = &ketaCheck($unit);
	$qty2 = &keta($qty);
	($cost,$cost2) = &ketaCheck($cost);
	$qty_all2 = &keta($qty_all);
	($cost_all,$cost_all2) = &ketaCheck($cost_all);

	if ($in{'cmd'} eq "Order") { $ORDER .= "$unit2 x $qty2_ = $cost2 $dat{'yen'}\n\n"; $LIST .=" (P):$unit2 ():$qty2 (v):$cost2\n"; } # 

	print "<tr bgcolor=\"#ffffff\" onMouseover=\"this.style.backgroundColor='#eeeeff'\" onMouseout=\"this.style.backgroundColor='#ffffff'\">";
	print "<td align=left>$gname</td>\n";
	print "<td align=right nowrap>$unit2</td>\n";
	print "<td align=right nowrap>$qty2</td>\n";
	print "<td align=right nowrap>$cost2</td>\n";
	if ($DEL) { print "<td align=center><input type=submit name=\";$delcode;\" value=\"폜\"></td>\n"; }
	print "</tr>";
}

if ($in{'cmd'} eq "Order") { $ORDER2 .= "i_\0$qty_all2\n\n"; $LIST .="[i_]:$qty_all2\n"; } # 

if ($DEL) { $colspan=5; } else { $colspan=4; }
#print "<tr><td bgcolor=#dddddd colspan=$colspan></td></tr>";
#print "<tr><td bgcolor=#FFFFFF colspan=$colspan></td></tr>";
#print "<tr><td bgcolor=#dddddd colspan=$colspan></td></tr>";

if ($dat{'zei'} eq "0") { # ŕ

	print "<tr>";
	print "<td colspan=2>&nbsp;</td>\n";
	print "<td align=right><font color=#888888>v</font></td>\n";
	print "<td bgcolor=#FFFFFF align=right nowrap>$cost_all2</td>\n";
	if ($DEL) { print "<td align=center><input type=submit name=\";ALL;\" value=\"S\"></td>\n"; }
	print "</tr>";

	$shokei = $cost_all2; ($shokei,$shokei2) = &ketaCheck($shokei);
	if ($in{'cmd'} eq "Order") { $ORDER2 .= "v\0$shokei2 $dat{'yen'}\n"; $LIST .="[iv]:$shokei2\n"; } # 

	$tax = $cost_all * ($dat{'tax'}/100); ($tax,$tax2) = &ketaCheck($tax);
	if ($in{'cmd'} eq "Order") { $ORDER2 .= "\0$tax2 $dat{'yen'}\n"; $LIST .="[]:$tax2\n"; } # 

	$cost_all += $tax; ($cost_all,$cost_all2) = &ketaCheck($cost_all);

	print "<tr>";
	print "<td></td>\n";
	print "<td></td>\n";
	print "<td align=right><font color=#888888></font></td>\n";
	print "<td bgcolor=#FFFFFF align=right nowrap>$tax2</td>\n";
	if ($DEL) { print "<td></td>\n"; }
	print "</tr>";
}
else { # ł̌vZȂ

	$shokei = $cost_all2; ($shokei,$shokei2) = &ketaCheck($shokei);
	$tax = 0;

	if ($in{'cmd'} ne "") {

		print "<tr>";
		print "<td colspan=2>&nbsp;</td>\n";
		print "<td align=right><font color=#888888>v</font></td>\n";
		print "<td bgcolor=#FFFFFF align=right nowrap>$cost_all2</td>\n";
		print "</tr>";
	}

	if ($in{'cmd'} eq "Order") { $ORDER2 .= "v\0$cost_all2 $dat{'yen'}\n"; $LIST .="[iv]:$cost_all2\n"; } # 
	if ($DEL) { $mes2 = "<input type=submit name=\";ALL;\" value=\"S\">\n"; }
}

if ($in{'cmd'} eq "selship" || ($in{'ship'} ne "" && $in{'ship'} ne "-")) { &insertShip; }

if ($in{'cmd'} eq "Order") { $ORDER2 .= "v\0$cost_all2 $dat{'yen'}\n"; $ORDER2 .= "=========\0==============\n"; $LIST .="[xv]:$cost_all2\n"; } # 

print "<tr>";
print "<td colspan=2>&nbsp;</td>\n";
print "<td bgcolor=#FFFFFF align=right nowrap><font size=+1><b>$qty_all2</b></font>_</td>\n";
print "<td bgcolor=#FFFFFF align=right nowrap><font size=+1><b>$cost_all2</b></font></td>\n";
if ($DEL) { print "<td align=center>$mes2</td>\n"; }
print "</tr>";

if ($dat{'zei'} eq "1") { # z\()p

	$nuki = &UchiZei($cost_all);
	$nuki2 = &keta($nuki);

	print "<tr>";
	print "<td colspan=3>&nbsp;</td>\n";
	print "<td bgcolor=#FFFFFF align=right nowrap>&nbsp;<font size=-1 color=#888888> $nuki2</font></td>\n";
	if ($DEL) { print "<td>&nbsp;</td>\n"; }
	print "</tr>";

	if ($in{'cmd'} eq "Order") { $ORDER2 .= "\0($nuki2 $dat{'yen'})\n"; $LIST .="[]:$nuki2\n"; } # 
}

print <<"EOF";
</table></td>
</tr>
<tr><td bgcolor=#$bgcolor{'panel'} colspan=3></td></tr>
</table></td>
</tr></Table>
EOF

if ($DEL) { print "</form>\n"; }

}

sub readCart { # J[g̓e

	if (open(RID,"$tmp_dir$CARTCODE")) {

		while(<RID>) {

			s/\n//g;
			push(@BASE,$_);
		}
		close(RID);
	}

	if (!@BASE) { &Die("JS͋ł","<a href=\"$list_url\">iꗗւǂ</a>"); }
}

sub error {

	local (@msg) = @_;
	local ($i);


print &HtmlTop("bgcolor=#FFFFFF");

print <<"EOF";

<STYLE type="text/css">
<!--
a.n:link { color:#$linkcolor{'panel'} }
a.n:visited { color:#$linkcolor{'panel'} }
a.n:hover { color:#$linkcolor{'panel'} }
a.n:active { color:#$linkcolor{'panel'} }
-->
</STYLE>

<!-- /* TopicWindow -->
<center>
<table cellpadding=0 cellspacing=0 border=0 width=80%>
<tr>
<td><table cellpadding=0 cellspacing=0 border=0>
<tr>
<td bgcolor=#$barbgcolor{'panel'} height=15 rowspan=2 nowrap><img src="$setup{'htdocs_url'}sp.gif" width=140 height=1><br>
&nbsp;&nbsp;<font color=#$bartextcolor{'panel'}>$msg[0]</font>&nbsp;</td>
<td valign=top bgcolor=#$barbgcolor{'panel'}><img src="$setup{'htdocs_url'}sp14x15.gif" width=14 height=15></td>
<td align=right width=99% bgcolor=#FFFFFF><img src="$setup{'htdocs_url'}sp.gif" width=5 height=1 alt=""></td>
</tr>
<tr>
<td colspan=4 bgcolor=#$barbgcolor{'panel'} height=2></td>
</tr>
</table></td>
</tr>
<tr>
<td><table cellpadding=1 cellspacing=0 border=0 width=100%>
<tr bgcolor=#$barbgcolor{'panel'}>
<td><table cellpadding=10 cellspacing=0 border=0 width=100%>
<tr bgcolor=#$bgcolor{'panel'}>
<td>
<!-- /* TopicWindow Area-->
<br>
EOF

print "<ul>\n";
foreach $i (1 .. $#msg) { print "<li><font color=#$textcolor{'panel'}>$msg[$i]</font>\n"; }
print "</ul><p>\n";

if ($in{'cmd'} eq "memory") {

print <<"EOF";
<font color=#$textcolor{'panel'}>[</font> <a class=n href="$list_url">i</a> <font color=#$textcolor{'panel'}>]</font>
EOF

}
else {

print <<"EOF";
<font color=#$textcolor{'panel'}>[</font> <a class=n href="JavaScript:history.back()">ǂ</a> <font color=#$textcolor{'panel'}>]</font>
EOF

}

print <<"EOF";
<!-- TopicWindow Area */-->
</td>
</tr>
</table></td>
</tr>
</table></td>
</tr>
</table>
<!-- TopicWindow */ -->
</center>
EOF

print &HtmlBot;
exit;

}
